Subject: 23.1; tpu-edt
From: root <[email-masked]>
To: [email-masked]
Date: Thu, 31 Dec 2015 14:49:32 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

We have using emacs with the tpu-edt.elc keypad emulator on Red Hat Linux Release 3 and Release 5
with no problems. On Release 5 we are running emacs version 21.4.

We are now upgrading one server to RHEL6 and tpu-edt does not work properly. Most single keypad
commands (NEXT LINE, FORWARD, CUT, etc.) work fine, but SELECT <kp-decimal> does not. None of
GOLD keypad commands (OPEN LINE, CHGCASE, PASTE, etc.) work at all.

The version of emacs included with the RHEL6 repository is 23.1.1. I see that the current version
is 24.5. I don't know if that is related or not.

I can reproduce the problem by entering /usr/bin/emacs -f tpu-edt <filename>.

Please let me know if you require more information. I can be reached at [email-masked]
or [email-masked]

Thank you.

Robert Brightman

**************************

In GNU Emacs 23.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.24.23)
 of 2014-11-27 on x86-010.build.bos.redhat.com
configured using `configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--target=x86_64-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'target_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  tpu-edt-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 0 ; 1 3 6 ; 0 c ESC O p ESC O p ESC O p ESC 
O p ESC O p ESC O p ESC O p ESC O u ESC O p ESC O p 
ESC O p ESC O t ESC O p ESC O p ESC O p ESC O p ESC 
O p ESC O p ESC x r e p o r t SPC e m a c s SPC b u 
g RET

Recent messages:
("/usr/bin/emacs" "-Q" "-f" "tpu-edt" "mac5.txt")
For information about GNU Emacs and the GNU system, type C-h C-a.
mac5.txt has auto save data; consider M-x recover-this-file